'''
Created on 12-Jul-2021

@author: rishi_priyansh

'''
import inspect
import traceback

import numpy as np
import random

from sympy import (Symbol, symbols, 
                   Derivative, Integral,
                   UnevaluatedExpr,
                   latex, Rational, simplify,
                   )

import matplotlib.pyplot as plt

from xv.km.ui import SvgHelper
from xv.util.data import CacheUtil
from xv.util import strip_source_code_tabs, get_function_source_code
from xv.km.util import latex_fraction

from xv.plotter.helper import DiscreteXyGraphHelper, ContinuousXyGraphHelper




from xv.util import UtilClass

class ParticleMechanicsHelper(UtilClass):



    def __init__(self, **kwargs):
        super().__init__(**kwargs)
        pass


    def _log_DELETED(self, sOut, to_print = None):
        if to_print is None:
            to_print = self.verbose
            
        if to_print:
            print(sOut)
 
    pass
#class ParticleMechanicsHelper:
    